Aerovy Platform logo

Get a thing-type definition

GEThttps://spectra.api.aerovy.com/v2/definitions/thing-types/{thingTypeId}

Returns a single thing-type definition index by id. Requires an API key with the read action scoped to the thing type.

Loading code example
Loading code example

Authorizations

apiKeystringheaderrequired

API key passed in the header.

Path Parameters

thingTypeIdstringrequired

The thing-type index id (e.g. `tdefi_…`).

Response

application/json

The thing-type definition index.

thingTypeIdstring

Stable identifier for the thing type (the index id).

displayNamestring

Human-readable name for the thing type.

descriptionstring

Description of the thing type.

defaultImageUrlnull | string

Optional URL of a default image for devices of this type.

defaultIconUrlnull | string

Optional URL of a default icon for devices of this type.

latestThingTypeDefIdnull | string

Identifier of the latest definition version this index points to.

latestVersionNumberinteger | string<int32>

Version number of the latest definition.

Pattern: ^-?(?:0|[1-9]\d*)$
versionsarray<object>

The full version history for this thing type.

versions.versioninteger | string<int32>

The version number.

Pattern: ^-?(?:0|[1-9]\d*)$
versions.thingTypeDefIdstring

Identifier of the definition for this version.

isDeletedboolean

Whether this thing type has been soft-deleted.

createdAtstring<date-time>

Timestamp (UTC) when the thing type was created.

updatedAtnull | string<date-time>

Timestamp (UTC) when the thing type was last updated.

createdBystring

Identifier of the actor that created the thing type.

updatedBynull | string

Identifier of the actor that last updated the thing type.